### Hierarchy

- GameMetadata

## Index

### Constructors

- constructor

### Properties

- againInterval
- author
- backgroundColor
- colorPalette
- flickscreen
- homepage
- keyRepeatInterval
- noAction
- noRepeatAction
- noRestart
- noUndo
- realtimeInterval
- requirePlayerMovement
- runRulesOnLevelStart
- textColor
- throttleMovement
- verboseLogging
- youtube
- zoomscreen

### Methods

- _setValue

## Constructors

### constructor

- new GameMetadata(): GameMetadata

- - Defined in models/metadata.ts:33

  #### Returns GameMetadata

## Properties

### againInterval

againInterval: Optional<number>

- Defined in models/metadata.ts:25

### author

author: Optional<string>

- Defined in models/metadata.ts:15

### backgroundColor

backgroundColor: Optional<IColor>

- Defined in models/metadata.ts:21

### colorPalette

colorPalette: Optional<string>

- Defined in models/metadata.ts:20

### flickscreen

flickscreen: Optional<Dimension>

- Defined in models/metadata.ts:19

### homepage

homepage: Optional<string>

- Defined in models/metadata.ts:16

### keyRepeatInterval

keyRepeatInterval: Optional<number>

- Defined in models/metadata.ts:24

### noAction

noAction: boolean

- Defined in models/metadata.ts:26

### noRepeatAction

noRepeatAction: boolean

- Defined in models/metadata.ts:29

### noRestart

noRestart: boolean

- Defined in models/metadata.ts:31

### noUndo

noUndo: boolean

- Defined in models/metadata.ts:27

### realtimeInterval

realtimeInterval: Optional<number>

- Defined in models/metadata.ts:23

### requirePlayerMovement

requirePlayerMovement: boolean

- Defined in models/metadata.ts:32

### runRulesOnLevelStart

runRulesOnLevelStart: Optional<string>

- Defined in models/metadata.ts:28

### textColor

textColor: Optional<IColor>

- Defined in models/metadata.ts:22

### throttleMovement

throttleMovement: boolean

- Defined in models/metadata.ts:30

### verboseLogging

verboseLogging: boolean

- Defined in models/metadata.ts:33

### youtube

youtube: Optional<string>

- Defined in models/metadata.ts:17

### zoomscreen

zoomscreen: Optional<Dimension>

- Defined in models/metadata.ts:18

## Methods

### _setValue

- _setValue(key: string, value: boolean | number | string | Dimension | IColor): void

- - Defined in models/metadata.ts:58

  #### Parameters

  - ##### key: string

  - ##### value: boolean | number | string | Dimension | IColor

  #### Returns void

Generated using TypeDoc